### Signal

# Gtk Gesture::end

#### Declaration

    void
    end (
      GtkGesture* self,
      GdkEventSequence* sequence,
      gpointer user_data
    )

#### Description [src]

Emitted when `gesture` either stopped recognizing the event sequences as something to be handled, or the number of touch sequences became higher or lower than `GtkGesture:n-points`.

Note: `sequence` might not pertain to the group of sequences that were previously triggering recognition on `gesture` (ie. a just pressed touch sequence that exceeds `GtkGesture:n-points`). This situation may be detected by checking through `gtk_gesture_handles_sequence()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`sequence`

  Type: `GdkEventSequence`

  The `GdkEventSequence` that made gesture recognition to finish.

  The argument can be `NULL`.
  The data is owned by the caller of the function.